<?php
if(!isset($_SESSION)) {
    session_start();
}

$correcto = false;
$sesion   = false;
$mensaje  = 'No se puedo eliminar la información';

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && Varios::hasModuleActionAccess(6, 4)
    && isset($_POST["par1"]) && $_POST["par1"] != ""
) {	
	$puertaIdCod 	= filter_var($_POST["par1"], FILTER_SANITIZE_STRING);
	$puertaId 		= filter_var( Varios::decodifica($puertaIdCod), FILTER_SANITIZE_NUMBER_INT);

	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Puerta.Class.php');
	$puerta_obj = new Puerta(null);	
	
	$auditoria_accion   = "Delete";
	$auditoria_tabla    = "puerta";
	$auditoria_sql      = "EXEC agenda.SP_puerta_eliminar ".$puertaId;
	$puerta_resultado = $puerta_obj->eliminarPuerta($puertaId);

	$mensaje 	= $puerta_resultado[1];
	$resultado 	= $puerta_resultado[0];
	if($resultado > 0) {		
		$correcto 	= true;
	}
	Varios::auditInsert( $auditoria_accion, $auditoria_tabla, $auditoria_sql, $resultado, $mensaje );		
	$puerta_obj->Close();	

} else {
	$mensaje = 'Los parámetros recibidos NO son válidos';	
}

$data = array(
			'success' => $correcto, 
			'mensaje' => $mensaje,
			'sesion'  => $sesion
		);
echo json_encode($data);
?>